CNVKIT_IMPORT-RNA(1)

NAME
cnvkit_import-rna - Convert a cohort of per-gene log2 ratios to CNVkit .cnr format.

DESCRIPTION
usage: cnvkit.py import-rna [-h] [-f NAME] -g FILE [-c FILE]

[--max-log2 FLOAT] [-n NORMAL [NORMAL ...]]
    [-d PATH] [-o FILE] [--no-gc] [--no-txlen] FILES [FILES ...]

  positional arguments:

FILES
    Tabular files with Ensembl gene ID and number of reads mapped to each gene, from RSEM or another transcript quantifier.

  options:

-h, --help
    show this help message and exit

-f NAME, --format NAME
    Input format name: 'rsem' for RSEM gene-level read counts (*_rsem.genes.results), or 'counts' for generic 2-column gene IDs and their read counts (e.g. TCGA level 2 RNA expression).

-g FILE, --gene-resource FILE
    Location of gene info table from Ensembl BioMart.

-c FILE, --correlations FILE
    Correlation of each gene's copy number with expression. Output of cnv_expression_correlate.py.

--max-log2 FLOAT
    Maximum log2 ratio in output. Observed values above this limit will be replaced with this value. [Default: 3.0]

-n NORMAL [NORMAL ...], --normal NORMAL [NORMAL ...]
    Normal samples (same format as `gene_counts`) to be used as a control to when normalizing and re-centering gene read depth ratios. All filenames following this option will be used.

-d PATH, --output-dir PATH
    Directory to write a CNVkit .cnr file for each input sample. [Default: .]

-o FILE, --output FILE
    Output file name (summary table).

  To disable specific automatic bias corrections:

--no-gc
    Skip GC correction.

--no-txlen
    Skip transcript length correction.